# Copyright (c) 2024 Emma Tebibyte <emma@tebibyte.media>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

OSLIB = build/o/libopenbsd.rlib
RUSTFLAGS += --extern openbsd=$(OSLIB)

$(OSLIB): src/libopenbsd.rs
	$(RUSTC) $(RUSTFLAGS) --crate-type=lib --crate-name=openbsd \
		-o $@ src/libopenbsd.rs
